integrations/video/zoom/dist/runtime¶
Interfaces¶
ParseZoomWebhookRequestOptions¶
Properties¶
nowSeconds?¶
requireSignature?¶
timestampToleranceSeconds?¶
webhookSecretToken?¶
ValidateZoomWebhookSignatureInput¶
Properties¶
nowSeconds?¶
rawBody¶
signature¶
timestamp¶
timestampToleranceSeconds?¶
version?¶
webhookSecretToken¶
ZoomCreateMeetingInput¶
Properties¶
additionalFields?¶
agenda?¶
duration?¶
password?¶
recurrence?¶
scheduleFor?¶
settings?¶
startTime?¶
templateId?¶
timezone?¶
topic?¶
trackingFields?¶
type?¶
ZoomCredentialStatusInput¶
Properties¶
accessToken?¶
expiresAt?¶
providerClientConfigured?¶
scopes?¶
webhookSecretToken?¶
ZoomDeleteMeetingInput¶
Properties¶
occurrenceId?¶
scheduleForReminder?¶
ZoomGetMeetingInput¶
Properties¶
occurrenceId?¶
showPreviousOccurrences?¶
ZoomListMeetingsInput¶
Properties¶
from?¶
nextPageToken?¶
pageNumber?¶
pageSize?¶
timezone?¶
to?¶
type?¶
ZoomListMeetingsResponse¶
Indexable¶
Properties¶
meetings¶
next_page_token?¶
page_count?¶
page_number?¶
page_size?¶
total_records?¶
ZoomLiveCheckOptions¶
Extends¶
Properties¶
accessToken?¶
Inherited from¶
ZoomVideoClientOptions.accessToken
accountId?¶
Inherited from¶
ZoomVideoClientOptions.accountId
baseUrl?¶
Inherited from¶
ZoomVideoClientOptions.baseUrl
client?¶
clientId?¶
Inherited from¶
ZoomVideoClientOptions.clientId
clientSecret?¶
Inherited from¶
ZoomVideoClientOptions.clientSecret
fetch?¶
Call Signature¶
Parameters¶
| Parameter | Type |
|---|---|
input |
URL | RequestInfo |
init? |
RequestInit |
Returns¶
Promise\<Response>
Call Signature¶
Parameters¶
| Parameter | Type |
|---|---|
input |
string | Request | URL |
init? |
RequestInit |
Returns¶
Promise\<Response>
Inherited from¶
getAccessToken?¶
Returns¶
string | Promise\<string>
Inherited from¶
ZoomVideoClientOptions.getAccessToken
oauthBaseUrl?¶
Inherited from¶
ZoomVideoClientOptions.oauthBaseUrl
providerClient?¶
Inherited from¶
ZoomVideoClientOptions.providerClient
retry?¶
Inherited from¶
signal?¶
Inherited from¶
timeoutMs?¶
Inherited from¶
ZoomVideoClientOptions.timeoutMs
userId?¶
Inherited from¶
ZoomMeetingRecurrence¶
Properties¶
end_date_time?¶
end_times?¶
monthly_day?¶
monthly_week?¶
monthly_week_day?¶
repeat_interval?¶
type¶
weekly_days?¶
ZoomMeetingResource¶
Indexable¶
Properties¶
agenda?¶
duration?¶
host_email?¶
host_id?¶
id?¶
join_url?¶
password?¶
settings?¶
start_time?¶
start_url?¶
status?¶
timezone?¶
topic?¶
type?¶
uuid?¶
ZoomMeetingsApiGeneratedClient¶
Extends¶
ZoomMeetingsApiArchivingGeneratedClient.ZoomMeetingsApiCloudRecordingGeneratedClient.ZoomMeetingsApiDevicesGeneratedClient.ZoomMeetingsApiH323DevicesGeneratedClient.ZoomMeetingsApiInMeetingAppsGeneratedClient.ZoomMeetingsApiInMeetingFeaturesGeneratedClient.ZoomMeetingsApiInvitationRegistrationGeneratedClient.ZoomMeetingsApiLiveStreamingGeneratedClient.ZoomMeetingsApiMeetingsGeneratedClient.ZoomMeetingsApiPACGeneratedClient.ZoomMeetingsApiPollsGeneratedClient.ZoomMeetingsApiReportsGeneratedClient.ZoomMeetingsApiSIPPhoneGeneratedClient.ZoomMeetingsApiSummariesGeneratedClient.ZoomMeetingsApiSurveysGeneratedClient.ZoomMeetingsApiTemplatesGeneratedClient.ZoomMeetingsApiTrackingFieldGeneratedClient.ZoomMeetingsApiTSPGeneratedClient.ZoomMeetingsApiWebinarsGeneratedClient
Methods¶
AddBatchRegistrants()¶
AddBatchRegistrants(...args): Promise<{
registrants?: readonly {
email?: string;
join_url?: string;
participant_pin_code?: number;
registrant_id?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /meetings/{meetingId}/batch_registrants">] |
Returns¶
Promise\<{
registrants?: readonly {
email?: string;
join_url?: string;
participant_pin_code?: number;
registrant_id?: string;
}[];
}>
Inherited from¶
AddBatchWebinarRegistrants()¶
AddBatchWebinarRegistrants(...args): Promise<{
registrants?: readonly {
email?: string;
join_url?: string;
registrant_id?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /webinars/{webinarId}/batch_registrants">] |
Returns¶
Promise\<{
registrants?: readonly {
email?: string;
join_url?: string;
registrant_id?: string;
}[];
}>
Inherited from¶
AddDevice()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /devices">] |
Returns¶
Promise\<void>
Inherited from¶
AnalyticsDetails()¶
AnalyticsDetails(...args): Promise<{
analytics_details?: readonly {
date_time?: string;
duration?: number;
email?: string;
name?: string;
}[];
from?: string;
next_page_token?: string;
page_size?: number;
to?: string;
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/recordings/analytics_details">] |
Returns¶
Promise\<{
analytics_details?: readonly {
date_time?: string;
duration?: number;
email?: string;
name?: string;
}[];
from?: string;
next_page_token?: string;
page_size?: number;
to?: string;
total_records?: number;
}>
Inherited from¶
AnalyticsSummary()¶
AnalyticsSummary(...args): Promise<{
analytics_summary?: readonly {
date?: string;
downloads_total_count?: number;
views_total_count?: number;
}[];
from?: string;
to?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/recordings/analytics_summary">] |
Returns¶
Promise\<{
analytics_summary?: readonly {
date?: string;
downloads_total_count?: number;
views_total_count?: number;
}[];
from?: string;
to?: string;
}>
Inherited from¶
AssginGroup()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /devices/{deviceId}/assign_group">] |
Returns¶
Promise\<void>
Inherited from¶
AssigndevicetoauserCommonarea()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /devices/zpa/assignment">] |
Returns¶
Promise\<void>
Inherited from¶
ChangeDeviceAssociation()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /devices/{deviceId}/assignment">] |
Returns¶
Promise\<void>
Inherited from¶
CreateBatchPolls()¶
CreateBatchPolls(...args): Promise<{
polls?: readonly {
anonymous?: boolean;
id?: string;
poll_type?: 1 | 2 | 3;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
case_sensitive?: boolean;
name?: string;
prompts?: readonly {
prompt_question?: string;
prompt_right_answers?: readonly string[];
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
right_answers?: readonly string[];
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
status?: "started" | "ended" | "notstart" | "sharing";
title?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /meetings/{meetingId}/batch_polls">] |
Returns¶
Promise\<{
polls?: readonly {
anonymous?: boolean;
id?: string;
poll_type?: 1 | 2 | 3;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
case_sensitive?: boolean;
name?: string;
prompts?: readonly {
prompt_question?: string;
prompt_right_answers?: readonly string[];
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
right_answers?: readonly string[];
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
status?: "started" | "ended" | "notstart" | "sharing";
title?: string;
}[];
}>
Inherited from¶
CreateWebinarBrandingNameTag()¶
CreateWebinarBrandingNameTag(...args): Promise<{
accent_color?: string;
background_color?: string;
id?: string;
is_default?: boolean;
name?: string;
text_color?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /webinars/{webinarId}/branding/name_tags">] |
Returns¶
Promise\<{
accent_color?: string;
background_color?: string;
id?: string;
is_default?: boolean;
name?: string;
text_color?: string;
}>
Inherited from¶
DeleteArchivedFiles()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /past_meetings/{meetingUUID}/archive_files">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteDevice()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /devices/{deviceId}">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteMeetingChatMessageById()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /live_meetings/{meetingId}/chat/messages/{messageId}">] |
Returns¶
Promise\<void>
Inherited from¶
Deletemeetingorwebinarsummary()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}/meeting_summary">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteMeetingTranscript()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}/transcript">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteSIPPhonePhones()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /sip_phones/phones/{phoneId}">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteWebinarBrandingNameTag()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /webinars/{webinarId}/branding/name_tags">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteWebinarBrandingVB()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /webinars/{webinarId}/branding/virtual_backgrounds">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteWebinarBrandingWallpaper()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /webinars/{webinarId}/branding/wallpaper">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteWebinarChatMessageById()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /live_webinars/{webinarId}/chat/messages/{messageId}">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteWebinarRegistrant()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /webinars/{webinarId}/registrants/{registrantId}">] |
Returns¶
Promise\<void>
Inherited from¶
DeleteZpaDeviceByVendorAndMacAddress()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /devices/zpa/vendors/{vendor}/mac_addresses/{macAddress}">] |
Returns¶
Promise\<void>
Inherited from¶
DeviceCreate()¶
DeviceCreate(...args): Promise<{
id?: string;
} & {
encryption: "auto" | "yes" | "no";
ip: string;
name: string;
protocol: "H.323" | "SIP";
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /h323/devices">] |
Returns¶
Promise\<{
id?: string;
} & {
encryption: "auto" | "yes" | "no";
ip: string;
name: string;
protocol: "H.323" | "SIP";
}>
Inherited from¶
DeviceDelete()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /h323/devices/{deviceId}">] |
Returns¶
Promise\<void>
Inherited from¶
DeviceList()¶
DeviceList(...args): Promise<{
next_page_token?: string;
page_count?: number;
page_number?: number;
page_size?: number;
total_records?: number;
} & {
devices?: readonly {
id?: string;
} & {
encryption: "auto" | "yes" | "no";
ip: string;
name: string;
protocol: "H.323" | "SIP";
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /h323/devices">] |
Returns¶
Promise\<{
next_page_token?: string;
page_count?: number;
page_number?: number;
page_size?: number;
total_records?: number;
} & {
devices?: readonly {
id?: string;
} & {
encryption: "auto" | "yes" | "no";
ip: string;
name: string;
protocol: "H.323" | "SIP";
}[];
}>
Inherited from¶
DeviceUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /h323/devices/{deviceId}">] |
Returns¶
Promise\<void>
Inherited from¶
EnableSIPPhonePhones()¶
EnableSIPPhonePhones(...args): Promise<{
authorization_name?: string;
display_number?: string;
domain?: string;
password?: string;
phone_id?: string;
registration_expire_time?: number;
server?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
server_2?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
server_3?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
user_email?: string;
user_name?: string;
voice_mail?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /sip_phones/phones">] |
Returns¶
Promise\<{
authorization_name?: string;
display_number?: string;
domain?: string;
password?: string;
phone_id?: string;
registration_expire_time?: number;
server?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
server_2?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
server_3?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
user_email?: string;
user_name?: string;
voice_mail?: string;
}>
Inherited from¶
Getameetingsummary()¶
Getameetingsummary(...args): Promise<{
edited_summary?: {
next_steps?: readonly string[];
summary_details?: string;
summary_overview?: string;
};
meeting_end_time?: string;
meeting_host_email?: string;
meeting_host_id?: string;
meeting_id?: number;
meeting_start_time?: string;
meeting_topic?: string;
meeting_uuid?: string;
next_steps?: readonly string[];
summary_content?: string;
summary_created_time?: string;
summary_details?: readonly {
label?: string;
summary?: string;
}[];
summary_doc_url?: string;
summary_end_time?: string;
summary_last_modified_time?: string;
summary_last_modified_user_email?: string;
summary_last_modified_user_id?: string;
summary_overview?: string;
summary_start_time?: string;
summary_title?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/meeting_summary">] |
Returns¶
Promise\<{
edited_summary?: {
next_steps?: readonly string[];
summary_details?: string;
summary_overview?: string;
};
meeting_end_time?: string;
meeting_host_email?: string;
meeting_host_id?: string;
meeting_id?: number;
meeting_start_time?: string;
meeting_topic?: string;
meeting_uuid?: string;
next_steps?: readonly string[];
summary_content?: string;
summary_created_time?: string;
summary_details?: readonly {
label?: string;
summary?: string;
}[];
summary_doc_url?: string;
summary_end_time?: string;
summary_last_modified_time?: string;
summary_last_modified_user_email?: string;
summary_last_modified_user_id?: string;
summary_overview?: string;
summary_start_time?: string;
summary_title?: string;
}>
Inherited from¶
GetArchivedFiles()¶
GetArchivedFiles(...args): Promise<{
account_name: string;
archive_files: readonly {
auto_delete?: boolean;
download_url: string;
encryption_fingerprint: string;
file_extension: string;
file_path?: string;
file_size: number;
file_type: | "MP4"
| "M4A"
| "CHAT"
| "CC"
| "CHAT_MESSAGE"
| "TRANSCRIPT"
| "SUB_GROUP_MEMBER_LOG"
| "AIC_COVERSATION";
id: string;
individual: boolean;
number_of_messages?: number;
participant_email?: string;
participant_join_time: string;
participant_leave_time: string;
recording_type: | "shared_screen_with_speaker_view"
| "audio_only"
| "chat_file"
| "closed_caption"
| "chat_message"
| "audio_transcript"
| "aic_conversation";
status: "failed" | "completed" | "processing";
storage_location?: "US" | "AU" | "BR" | "CA" | "EU" | "IN" | "JP" | "SG" | "CH";
}[];
complete_time: | {
}
| "";
duration: number;
duration_in_second: number;
group_id?: string;
host_id: string;
id: number;
is_breakout_room: boolean;
meeting_type: "internal" | "external";
parent_meeting_id?: string;
physical_files?: readonly {
download_url?: string;
file_id?: string;
file_name?: string;
file_size?: number;
}[];
recording_count: number;
start_time: string;
status: "completed" | "processing";
timezone: string;
topic: string;
total_size: number;
type: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 100;
uuid: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_meetings/{meetingUUID}/archive_files">] |
Returns¶
Promise\<{
account_name: string;
archive_files: readonly {
auto_delete?: boolean;
download_url: string;
encryption_fingerprint: string;
file_extension: string;
file_path?: string;
file_size: number;
file_type: | "MP4"
| "M4A"
| "CHAT"
| "CC"
| "CHAT_MESSAGE"
| "TRANSCRIPT"
| "SUB_GROUP_MEMBER_LOG"
| "AIC_COVERSATION";
id: string;
individual: boolean;
number_of_messages?: number;
participant_email?: string;
participant_join_time: string;
participant_leave_time: string;
recording_type: | "shared_screen_with_speaker_view"
| "audio_only"
| "chat_file"
| "closed_caption"
| "chat_message"
| "audio_transcript"
| "aic_conversation";
status: "failed" | "completed" | "processing";
storage_location?: "US" | "AU" | "BR" | "CA" | "EU" | "IN" | "JP" | "SG" | "CH";
}[];
complete_time: | {
}
| "";
duration: number;
duration_in_second: number;
group_id?: string;
host_id: string;
id: number;
is_breakout_room: boolean;
meeting_type: "internal" | "external";
parent_meeting_id?: string;
physical_files?: readonly {
download_url?: string;
file_id?: string;
file_name?: string;
file_size?: number;
}[];
recording_count: number;
start_time: string;
status: "completed" | "processing";
timezone: string;
topic: string;
total_size: number;
type: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 100;
uuid: string;
}>
Inherited from¶
GetArchivedFileStatistics()¶
GetArchivedFileStatistics(...args): Promise<{
from?: string;
statistic_by_file_extension?: {
json_file_count?: number;
m4a_file_count?: number;
mp4_file_count?: number;
txt_file_count?: number;
vtt_file_count?: number;
};
statistic_by_file_status?: {
completed_file_count?: number;
failed_file_count?: number;
processing_file_count?: number;
};
to?: string;
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /archive_files/statistics">] |
Returns¶
Promise\<{
from?: string;
statistic_by_file_extension?: {
json_file_count?: number;
m4a_file_count?: number;
mp4_file_count?: number;
txt_file_count?: number;
vtt_file_count?: number;
};
statistic_by_file_status?: {
completed_file_count?: number;
failed_file_count?: number;
processing_file_count?: number;
};
to?: string;
total_records?: number;
}>
Inherited from¶
GetBillingInvoicesReports()¶
GetBillingInvoicesReports(...args): Promise<{
currency?: string;
invoices?: readonly {
end_date?: string;
invoice_charge_name?: string;
invoice_number?: string;
quantity?: number;
start_date?: string;
tax_amount?: string;
total_amount?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/billing/invoices">] |
Returns¶
Promise\<{
currency?: string;
invoices?: readonly {
end_date?: string;
invoice_charge_name?: string;
invoice_number?: string;
quantity?: number;
start_date?: string;
tax_amount?: string;
total_amount?: string;
}[];
}>
Inherited from¶
GetBillingReport()¶
GetBillingReport(...args): Promise<{
billing_reports?: readonly {
end_date?: string;
id?: string;
start_date?: string;
tax_amount?: string;
total_amount?: string;
type?: 0 | 1;
}[];
currency?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/billing">] |
Returns¶
Promise\<{
billing_reports?: readonly {
end_date?: string;
id?: string;
start_date?: string;
tax_amount?: string;
total_amount?: string;
type?: 0 | 1;
}[];
currency?: string;
}>
Inherited from¶
GetDevice()¶
GetDevice(...args): Promise<{
app_version?: string;
connected_to_zdm?: boolean;
device_id?: string;
device_name?: string;
device_status?: -1 | 0 | 1;
device_type?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
enrolled_in_zdm?: boolean;
last_online?: string;
mac_address?: string;
model?: string;
platform_os?: string;
room_id?: string;
room_name?: string;
sdk_version?: string;
serial_number?: string;
tag?: string;
user_email?: string;
vendor?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /devices/{deviceId}">] |
Returns¶
Promise\<{
app_version?: string;
connected_to_zdm?: boolean;
device_id?: string;
device_name?: string;
device_status?: -1 | 0 | 1;
device_type?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
enrolled_in_zdm?: boolean;
last_online?: string;
mac_address?: string;
model?: string;
platform_os?: string;
room_id?: string;
room_name?: string;
sdk_version?: string;
serial_number?: string;
tag?: string;
user_email?: string;
vendor?: string;
}>
Inherited from¶
Getdisclaimerreport()¶
Getdisclaimerreport(...args): Promise<{
disclaimer_records?: readonly {
client_type?: string;
disclaimer_status?: "Agree" | "Cancel" | "Passive Agree" | "Decline Attend";
disclaimer_type?: string;
display_name?: string;
group_ids?: readonly string[];
is_guest?: boolean;
is_zoom_event?: boolean;
meeting_id?: string;
meeting_number?: number;
time?: string;
user_email?: string;
}[];
next_page_token?: string;
page_size?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/disclaimer">] |
Returns¶
Promise\<{
disclaimer_records?: readonly {
client_type?: string;
disclaimer_status?: "Agree" | "Cancel" | "Passive Agree" | "Decline Attend";
disclaimer_type?: string;
display_name?: string;
group_ids?: readonly string[];
is_guest?: boolean;
is_zoom_event?: boolean;
meeting_id?: string;
meeting_number?: number;
time?: string;
user_email?: string;
}[];
next_page_token?: string;
page_size?: number;
}>
Inherited from¶
Gethistorymeetingandwebinarlist()¶
Gethistorymeetingandwebinarlist(...args): Promise<{
history_meetings?: readonly {
create_time?: string;
custom_fields?: readonly {
key?: string;
value?: string;
}[];
department?: string;
duration?: number;
end_time?: string;
feature_used?: {
annotation?: boolean;
avatar?: boolean;
breakout_room?: boolean;
closed_caption?: boolean;
color_themes?: boolean;
document_collaboration?: boolean;
file_sharing?: boolean;
gen_ai_virtual_background?: boolean;
immersive_scene?: boolean;
in_meeting_chat?: boolean;
join_by_room?: boolean;
language_interpretation?: boolean;
live_transcription?: boolean;
live_translation?: boolean;
meeting_questions?: boolean;
meeting_summary?: boolean;
meeting_wallpaper?: boolean;
multi_share?: boolean;
multi_speaker?: boolean;
personalized_audio_isolation?: boolean;
poll?: boolean;
portrait_lighting?: boolean;
raise_hand?: boolean;
reaction?: boolean;
record_to_cloud?: boolean;
record_to_computer?: boolean;
registration?: boolean;
remote_control?: boolean;
screen_sharing?: boolean;
smart_recording?: boolean;
switch_to_mobile?: boolean;
telephone_usage?: boolean;
video_on?: boolean;
virtual_background?: boolean;
waiting_room?: boolean;
whiteboard?: boolean;
zoom_apps?: boolean;
};
group?: readonly string[];
host_display_name?: string;
host_email?: string;
max_concurrent_views?: number;
meeting_id?: number;
meeting_uuid?: string;
participants?: number;
source?: string;
start_time?: string;
topic?: string;
total_participant_minutes?: number;
tracking_fields?: readonly {
field?: string;
value?: string;
}[];
type?: "Meeting" | "Webinar";
unique_viewers?: number;
}[];
next_page_token?: string;
page_size?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/history_meetings">] |
Returns¶
Promise\<{
history_meetings?: readonly {
create_time?: string;
custom_fields?: readonly {
key?: string;
value?: string;
}[];
department?: string;
duration?: number;
end_time?: string;
feature_used?: {
annotation?: boolean;
avatar?: boolean;
breakout_room?: boolean;
closed_caption?: boolean;
color_themes?: boolean;
document_collaboration?: boolean;
file_sharing?: boolean;
gen_ai_virtual_background?: boolean;
immersive_scene?: boolean;
in_meeting_chat?: boolean;
join_by_room?: boolean;
language_interpretation?: boolean;
live_transcription?: boolean;
live_translation?: boolean;
meeting_questions?: boolean;
meeting_summary?: boolean;
meeting_wallpaper?: boolean;
multi_share?: boolean;
multi_speaker?: boolean;
personalized_audio_isolation?: boolean;
poll?: boolean;
portrait_lighting?: boolean;
raise_hand?: boolean;
reaction?: boolean;
record_to_cloud?: boolean;
record_to_computer?: boolean;
registration?: boolean;
remote_control?: boolean;
screen_sharing?: boolean;
smart_recording?: boolean;
switch_to_mobile?: boolean;
telephone_usage?: boolean;
video_on?: boolean;
virtual_background?: boolean;
waiting_room?: boolean;
whiteboard?: boolean;
zoom_apps?: boolean;
};
group?: readonly string[];
host_display_name?: string;
host_email?: string;
max_concurrent_views?: number;
meeting_id?: number;
meeting_uuid?: string;
participants?: number;
source?: string;
start_time?: string;
topic?: string;
total_participant_minutes?: number;
tracking_fields?: readonly {
field?: string;
value?: string;
}[];
type?: "Meeting" | "Webinar";
unique_viewers?: number;
}[];
next_page_token?: string;
page_size?: number;
}>
Inherited from¶
GetMeetingLiveStreamDetails()¶
GetMeetingLiveStreamDetails(...args): Promise<{
page_url?: string;
resolution?: string;
stream_key?: string;
stream_url?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/livestream">] |
Returns¶
Promise\<{
page_url?: string;
resolution?: string;
stream_key?: string;
stream_url?: string;
}>
Inherited from¶
GetMeetingTranscript()¶
GetMeetingTranscript(...args): Promise<{
account_id?: string;
auto_delete?: boolean;
auto_delete_date?: string;
can_download?: boolean;
download_restriction_reason?: | "DELETED_OR_TRASHED"
| "UNSUPPORTED"
| "NO_TRANSCRIPT_DATA"
| "NOT_READY";
download_url?: string;
host_id?: string;
meeting_id?: string;
meeting_topic?: string;
transcript_created_time?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/transcript">] |
Returns¶
Promise\<{
account_id?: string;
auto_delete?: boolean;
auto_delete_date?: string;
can_download?: boolean;
download_restriction_reason?: | "DELETED_OR_TRASHED"
| "UNSUPPORTED"
| "NO_TRANSCRIPT_DATA"
| "NOT_READY";
download_url?: string;
host_id?: string;
meeting_id?: string;
meeting_topic?: string;
transcript_created_time?: string;
}>
Inherited from¶
Getremotesupportreport()¶
Getremotesupportreport(...args): Promise<{
next_page_token?: string;
page_size?: number;
remote_support_logs?: readonly {
duration?: string;
end_time?: string;
meeting_host_id?: string;
meeting_number?: number;
meeting_start_time?: string;
meeting_uuid?: string;
request_time?: string;
start_time?: string;
supportee_email?: string;
supportee_name?: string;
supporter_email?: string;
supporter_name?: string;
topic?: string;
wait_time?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/remote_support">] |
Returns¶
Promise\<{
next_page_token?: string;
page_size?: number;
remote_support_logs?: readonly {
duration?: string;
end_time?: string;
meeting_host_id?: string;
meeting_number?: number;
meeting_start_time?: string;
meeting_uuid?: string;
request_time?: string;
start_time?: string;
supportee_email?: string;
supportee_name?: string;
supporter_email?: string;
supporter_name?: string;
topic?: string;
wait_time?: string;
}[];
}>
Inherited from¶
GetSipDialingWithPasscode()¶
GetSipDialingWithPasscode(...args): Promise<{
expire_in?: number;
paid_crc_plan_participant?: boolean;
participant_identifier_code?: string;
sip_dialing?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /meetings/{meetingId}/sip_dialing">] |
Returns¶
Promise\<{
expire_in?: number;
paid_crc_plan_participant?: boolean;
participant_identifier_code?: string;
sip_dialing?: string;
}>
Inherited from¶
GetTrackingSources()¶
GetTrackingSources(...args): Promise<{
total_records?: number;
tracking_sources?: readonly {
id?: string;
registration_count?: number;
source_name?: string;
tracking_url?: string;
visitor_count?: number;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /webinars/{webinarId}/tracking_sources">] |
Returns¶
Promise\<{
total_records?: number;
tracking_sources?: readonly {
id?: string;
registration_count?: number;
source_name?: string;
tracking_url?: string;
visitor_count?: number;
}[];
}>
Inherited from¶
GetWebinarBranding()¶
GetWebinarBranding(...args): Promise<{
name_tags?: readonly {
accent_color?: string;
background_color?: string;
id?: string;
is_default?: boolean;
name?: string;
text_color?: string;
}[];
virtual_backgrounds?: readonly {
id?: string;
is_default?: boolean;
name?: string;
}[];
wallpaper?: {
id?: string;
};
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /webinars/{webinarId}/branding">] |
Returns¶
Promise\<{
name_tags?: readonly {
accent_color?: string;
background_color?: string;
id?: string;
is_default?: boolean;
name?: string;
text_color?: string;
}[];
virtual_backgrounds?: readonly {
id?: string;
is_default?: boolean;
name?: string;
}[];
wallpaper?: {
id?: string;
};
}>
Inherited from¶
GetWebinarLiveStreamDetails()¶
GetWebinarLiveStreamDetails(...args): Promise<{
page_url?: string;
resolution?: string;
stream_key?: string;
stream_url?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /webinars/{webinarId}/livestream">] |
Returns¶
Promise\<{
page_url?: string;
resolution?: string;
stream_key?: string;
stream_url?: string;
}>
Inherited from¶
GetWebinarSipDialingWithPasscode()¶
GetWebinarSipDialingWithPasscode(...args): Promise<{
expire_in?: number;
paid_crc_plan_participant?: boolean;
participant_identifier_code?: string;
sip_dialing?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /webinars/{webinarId}/sip_dialing">] |
Returns¶
Promise\<{
expire_in?: number;
paid_crc_plan_participant?: boolean;
participant_identifier_code?: string;
sip_dialing?: string;
}>
Inherited from¶
Getzdmgroupinfo()¶
Getzdmgroupinfo(...args): Promise<{
groups?: readonly {
description?: string;
name?: string;
zdm_group_id?: string;
}[];
next_page_token?: string;
page_size?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /devices/groups">] |
Returns¶
Promise\<{
groups?: readonly {
description?: string;
name?: string;
zdm_group_id?: string;
}[];
next_page_token?: string;
page_size?: number;
}>
Inherited from¶
GetZpaDeviceListProfileSettingOfaUser()¶
GetZpaDeviceListProfileSettingOfaUser(...args): Promise<{
device_infos?: readonly {
device_id?: string;
device_type?: string;
model?: string;
policy?: {
call_control?: {
status?: "unsupported" | "on" | "off";
};
hot_desking?: {
status?: "online" | "offline";
};
};
status?: "online" | "offline";
vendor?: string;
}[];
language?: string;
timezone?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /devices/zpa/settings">] |
Returns¶
Promise\<{
device_infos?: readonly {
device_id?: string;
device_type?: string;
model?: string;
policy?: {
call_control?: {
status?: "unsupported" | "on" | "off";
};
hot_desking?: {
status?: "online" | "offline";
};
};
status?: "online" | "offline";
vendor?: string;
}[];
language?: string;
timezone?: string;
}>
Inherited from¶
GetZpaVersioninfo()¶
GetZpaVersioninfo(...args): Promise<{
app_versions?: readonly string[];
firmware_versions?: readonly {
model?: string;
vendor?: string;
version?: string;
warn_info?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /devices/zpa/zdm_groups/{zdmGroupId}/versions">] |
Returns¶
Promise\<{
app_versions?: readonly string[];
firmware_versions?: readonly {
model?: string;
vendor?: string;
version?: string;
warn_info?: string;
}[];
}>
Inherited from¶
InMeetingControl()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /live_meetings/{meetingId}/events">] |
Returns¶
Promise\<void>
Inherited from¶
ListArchivedFiles()¶
ListArchivedFiles(...args): Promise<{
from?: string;
meetings?: readonly {
account_name: string;
archive_files: readonly {
auto_delete?: boolean;
download_url: string;
encryption_fingerprint: string;
file_extension: string;
file_path?: string;
file_size: number;
file_type: | "MP4"
| "M4A"
| "CHAT"
| "CC"
| "CHAT_MESSAGE"
| "TRANSCRIPT"
| "SUB_GROUP_MEMBER_LOG"
| "AIC_COVERSATION";
id: string;
individual: boolean;
number_of_messages?: number;
participant_email?: string;
participant_join_time: string;
participant_leave_time: string;
recording_type: | "shared_screen_with_speaker_view"
| "audio_only"
| "chat_file"
| "closed_caption"
| "chat_message"
| "audio_transcript"
| "aic_conversation";
status: "failed" | "completed" | "processing";
storage_location?: "US" | "AU" | "BR" | "CA" | "EU" | "IN" | "JP" | "SG" | "CH";
}[];
complete_time: | {
}
| "";
duration: number;
duration_in_second: number;
group_id?: string;
host_id: string;
id: number;
is_breakout_room: boolean;
meeting_type: "internal" | "external";
parent_meeting_id?: string;
physical_files?: readonly {
download_url?: string;
file_id?: string;
file_name?: string;
file_size?: number;
}[];
recording_count: number;
start_time: string;
status: "completed" | "processing";
timezone: string;
topic: string;
total_size: number;
type: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 100;
uuid: string;
}[];
next_page_token?: string;
page_size?: number;
to?: string;
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /archive_files">] |
Returns¶
Promise\<{
from?: string;
meetings?: readonly {
account_name: string;
archive_files: readonly {
auto_delete?: boolean;
download_url: string;
encryption_fingerprint: string;
file_extension: string;
file_path?: string;
file_size: number;
file_type: | "MP4"
| "M4A"
| "CHAT"
| "CC"
| "CHAT_MESSAGE"
| "TRANSCRIPT"
| "SUB_GROUP_MEMBER_LOG"
| "AIC_COVERSATION";
id: string;
individual: boolean;
number_of_messages?: number;
participant_email?: string;
participant_join_time: string;
participant_leave_time: string;
recording_type: | "shared_screen_with_speaker_view"
| "audio_only"
| "chat_file"
| "closed_caption"
| "chat_message"
| "audio_transcript"
| "aic_conversation";
status: "failed" | "completed" | "processing";
storage_location?: "US" | "AU" | "BR" | "CA" | "EU" | "IN" | "JP" | "SG" | "CH";
}[];
complete_time: | {
}
| "";
duration: number;
duration_in_second: number;
group_id?: string;
host_id: string;
id: number;
is_breakout_room: boolean;
meeting_type: "internal" | "external";
parent_meeting_id?: string;
physical_files?: readonly {
download_url?: string;
file_id?: string;
file_name?: string;
file_size?: number;
}[];
recording_count: number;
start_time: string;
status: "completed" | "processing";
timezone: string;
topic: string;
total_size: number;
type: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 100;
uuid: string;
}[];
next_page_token?: string;
page_size?: number;
to?: string;
total_records?: number;
}>
Inherited from¶
ListDevices()¶
ListDevices(...args): Promise<{
devices?: readonly {
app_version?: string;
connected_to_zdm?: boolean;
device_id?: string;
device_name?: string;
device_status?: -1 | 0 | 1;
device_type?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
enrolled_in_zdm?: boolean;
last_online?: string;
mac_address?: string;
model?: string;
platform_os?: string;
room_id?: string;
room_name?: string;
serial_number?: string;
skd_version?: string;
tag?: string;
user_email?: string;
vendor?: string;
}[];
next_page_token?: string;
page_size?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /devices">] |
Returns¶
Promise\<{
devices?: readonly {
app_version?: string;
connected_to_zdm?: boolean;
device_id?: string;
device_name?: string;
device_status?: -1 | 0 | 1;
device_type?: 0 | 1 | 2 | 3 | 4 | 5 | 6;
enrolled_in_zdm?: boolean;
last_online?: string;
mac_address?: string;
model?: string;
platform_os?: string;
room_id?: string;
room_name?: string;
serial_number?: string;
skd_version?: string;
tag?: string;
user_email?: string;
vendor?: string;
}[];
next_page_token?: string;
page_size?: number;
}>
Inherited from¶
Listmeetingsummaries()¶
Listmeetingsummaries(...args): Promise<{
from?: string;
next_page_token?: string;
page_size?: number;
summaries?: readonly {
meeting_end_time?: string;
meeting_host_email?: string;
meeting_host_id?: string;
meeting_id?: number;
meeting_start_time?: string;
meeting_topic?: string;
meeting_uuid?: string;
summary_created_time?: string;
summary_end_time?: string;
summary_last_modified_time?: string;
summary_start_time?: string;
}[];
to?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/meeting_summaries">] |
Returns¶
Promise\<{
from?: string;
next_page_token?: string;
page_size?: number;
summaries?: readonly {
meeting_end_time?: string;
meeting_host_email?: string;
meeting_host_id?: string;
meeting_id?: number;
meeting_start_time?: string;
meeting_topic?: string;
meeting_uuid?: string;
summary_created_time?: string;
summary_end_time?: string;
summary_last_modified_time?: string;
summary_start_time?: string;
}[];
to?: string;
}>
Inherited from¶
ListMeetingTemplates()¶
ListMeetingTemplates(...args): Promise<{
templates?: readonly {
id?: string;
name?: string;
type?: number;
}[];
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /users/{userId}/meeting_templates">] |
Returns¶
Promise\<{
templates?: readonly {
id?: string;
name?: string;
type?: number;
}[];
total_records?: number;
}>
Inherited from¶
ListPastMeetingPolls()¶
ListPastMeetingPolls(...args): Promise<{
id?: number;
questions?: readonly {
email?: string;
name?: string;
question_details?: readonly {
answer?: string;
date_time?: string;
polling_id?: string;
question?: string;
}[];
}[];
start_time?: string;
uuid?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_meetings/{meetingId}/polls">] |
Returns¶
Promise\<{
id?: number;
questions?: readonly {
email?: string;
name?: string;
question_details?: readonly {
answer?: string;
date_time?: string;
polling_id?: string;
question?: string;
}[];
}[];
start_time?: string;
uuid?: string;
}>
Inherited from¶
ListPastMeetingQA()¶
ListPastMeetingQA(...args): Promise<{
id?: number;
questions?: readonly {
email?: string;
name?: string;
question_details?: readonly {
answer?: string;
question?: string;
}[];
}[];
start_time?: string;
uuid?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_meetings/{meetingId}/qa">] |
Returns¶
Promise\<{
id?: number;
questions?: readonly {
email?: string;
name?: string;
question_details?: readonly {
answer?: string;
question?: string;
}[];
}[];
start_time?: string;
uuid?: string;
}>
Inherited from¶
ListPastWebinarPollResults()¶
ListPastWebinarPollResults(...args): Promise<{
id?: number;
questions?: readonly {
email?: string;
name?: string;
question_details?: readonly {
answer?: string;
date_time?: string;
polling_id?: string;
question?: string;
}[];
}[];
start_time?: string;
uuid?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_webinars/{webinarId}/polls">] |
Returns¶
Promise\<{
id?: number;
questions?: readonly {
email?: string;
name?: string;
question_details?: readonly {
answer?: string;
date_time?: string;
polling_id?: string;
question?: string;
}[];
}[];
start_time?: string;
uuid?: string;
}>
Inherited from¶
ListPastWebinarQA()¶
ListPastWebinarQA(...args): Promise<{
id?: number;
questions?: readonly {
email?: string;
name?: string;
question_details?: readonly {
answer?: string;
question?: string;
}[];
}[];
start_time?: string;
uuid?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_webinars/{webinarId}/qa">] |
Returns¶
Promise\<{
id?: number;
questions?: readonly {
email?: string;
name?: string;
question_details?: readonly {
answer?: string;
question?: string;
}[];
}[];
start_time?: string;
uuid?: string;
}>
Inherited from¶
ListSIPPhonePhones()¶
ListSIPPhonePhones(...args): Promise<{
next_page_token?: string;
page_size?: number;
phones?: readonly {
authorization_name?: string;
display_number?: string;
domain?: string;
password?: string;
phone_id?: string;
registration_expire_time?: number;
server?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
server_2?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
server_3?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
user_email?: string;
user_name?: string;
voice_mail?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /sip_phones/phones">] |
Returns¶
Promise\<{
next_page_token?: string;
page_size?: number;
phones?: readonly {
authorization_name?: string;
display_number?: string;
domain?: string;
password?: string;
phone_id?: string;
registration_expire_time?: number;
server?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
server_2?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
server_3?: {
proxy_server?: string;
register_server?: string;
transport_protocol?: "UDP" | "TCP" | "TLS" | "AUTO";
};
user_email?: string;
user_name?: string;
voice_mail?: string;
}[];
}>
Inherited from¶
ListUpcomingMeeting()¶
ListUpcomingMeeting(...args): Promise<{
meetings?: readonly {
created_at?: string;
duration?: number;
id?: number;
is_all_day?: boolean;
is_host?: boolean;
join_url?: string;
passcode?: string;
start_time?: string;
timezone?: string;
topic?: string;
type?: 1 | 2 | 3 | 8;
use_pmi?: boolean;
}[];
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /users/{userId}/upcoming_meetings">] |
Returns¶
Promise\<{
meetings?: readonly {
created_at?: string;
duration?: number;
id?: number;
is_all_day?: boolean;
is_host?: boolean;
join_url?: string;
passcode?: string;
start_time?: string;
timezone?: string;
topic?: string;
type?: 1 | 2 | 3 | 8;
use_pmi?: boolean;
}[];
total_records?: number;
}>
Inherited from¶
ListWebinarParticipants()¶
ListWebinarParticipants(...args): Promise<{
next_page_token?: string;
page_count?: number;
page_size?: number;
participants?: readonly {
duration?: number;
failover?: boolean;
id?: string;
internal_user?: boolean;
join_time?: string;
leave_time?: string;
name?: string;
registrant_id?: string;
status?: "in_meeting" | "in_waiting_room";
user_email?: string;
user_id?: string;
}[];
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_webinars/{webinarId}/participants">] |
Returns¶
Promise\<{
next_page_token?: string;
page_count?: number;
page_size?: number;
participants?: readonly {
duration?: number;
failover?: boolean;
id?: string;
internal_user?: boolean;
join_time?: string;
leave_time?: string;
name?: string;
registrant_id?: string;
status?: "in_meeting" | "in_waiting_room";
user_email?: string;
user_id?: string;
}[];
total_records?: number;
}>
Inherited from¶
ListWebinarTemplates()¶
ListWebinarTemplates(...args): Promise<{
templates?: readonly {
id?: string;
name?: string;
type?: number;
}[];
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /users/{userId}/webinar_templates">] |
Returns¶
Promise\<{
templates?: readonly {
id?: string;
name?: string;
type?: number;
}[];
total_records?: number;
}>
Inherited from¶
Meeting()¶
Meeting(...args): Promise<{
agenda?: string;
assistant_id?: string;
chat_join_url?: string;
created_at?: string;
creation_source?: "other" | "open_api" | "web_portal";
duration?: number;
dynamic_host_key?: string;
encrypted_password?: string;
h323_password?: string;
host_email?: string;
host_id?: string;
id?: number;
join_url?: string;
occurrences?: readonly {
duration?: number;
occurrence_id?: string;
start_time?: string;
status?: "available" | "deleted";
}[];
password?: string;
pmi?: string;
pre_schedule?: boolean;
pstn_password?: string;
recurrence?: {
end_date_time?: string;
end_times?: number;
monthly_day?: number;
monthly_week?: -1 | 1 | 2 | 3 | 4;
monthly_week_day?: 1 | 2 | 3 | 4 | 5 | 6 | 7;
repeat_interval?: number;
type: 1 | 2 | 3;
weekly_days?: "2" | "1" | "3" | "4" | "5" | "6" | "7";
};
registration_url?: string;
settings?: {
additional_data_center_regions?: readonly string[];
allow_host_control_participant_mute_state?: boolean;
allow_multiple_devices?: boolean;
alternative_host_manage_cloud_recording?: boolean;
alternative_host_manage_meeting_summary?: boolean;
alternative_host_update_polls?: boolean;
alternative_hosts?: string;
alternative_hosts_email_notification?: boolean;
approval_type?: 0 | 1 | 2;
approved_or_denied_countries_or_regions?: {
approved_list?: readonly string[];
denied_list?: readonly string[];
enable?: boolean;
method?: "approve" | "deny";
};
audio?: "both" | "telephony" | "voip" | "thirdParty";
audio_conference_info?: string;
authentication_domains?: string;
authentication_exception?: readonly {
email?: string;
join_url?: string;
name?: string;
}[];
authentication_name?: string;
authentication_option?: string;
auto_add_recording_to_video_management?: {
channels?: readonly {
channel_id: string;
name?: string;
}[];
enable: boolean;
};
auto_recording?: "none" | "local" | "cloud";
auto_start_ai_companion_questions?: boolean;
auto_start_meeting_summary?: boolean;
breakout_room?: {
enable?: boolean;
rooms?: readonly {
name?: string;
participants?: readonly string[];
}[];
};
calendar_type?: 1 | 2;
close_registration?: boolean;
cn_meeting?: boolean;
contact_email?: string;
contact_name?: string;
continuous_meeting_chat?: {
auto_add_invited_external_users?: boolean;
auto_add_meeting_participants?: boolean;
channel_id?: string;
enable?: boolean;
};
custom_keys?: readonly {
key?: string;
value?: string;
}[];
device_testing?: boolean;
disable_participant_video?: boolean;
email_in_attendee_report?: boolean;
email_notification?: boolean;
encryption_type?: "enhanced_encryption" | "e2ee";
enforce_login?: boolean;
enforce_login_domains?: string;
focus_mode?: boolean;
global_dial_in_countries?: readonly string[];
global_dial_in_numbers?: readonly {
city?: string;
country?: string;
country_name?: string;
number?: string;
type?: "toll" | "tollfree";
}[];
host_save_video_order?: boolean;
host_video?: boolean;
in_meeting?: boolean;
internal_meeting?: boolean;
jbh_time?: 0 | 5 | 10 | 15;
join_before_host?: boolean;
language_interpretation?: {
enable?: boolean;
interpreters?: readonly {
email?: string;
interpreter_languages?: string;
languages?: string;
}[];
};
meeting_authentication?: boolean;
meeting_invitees?: readonly {
email?: string;
internal_user?: boolean;
}[];
mute_upon_entry?: boolean;
participant_focused_meeting?: boolean;
participant_video?: boolean;
private_meeting?: boolean;
push_change_to_calendar?: boolean;
question_and_answer?: {
allow_anonymous_questions?: boolean;
allow_submit_questions?: boolean;
attendees_can_comment?: boolean;
attendees_can_upvote?: boolean;
enable?: boolean;
question_visibility?: "all" | "answered";
};
registrants_confirmation_email?: boolean;
registrants_email_notification?: boolean;
registration_type?: 1 | 2 | 3;
request_permission_to_unmute_participants?: boolean;
resources?: readonly {
permission_level?: "editor" | "commenter" | "viewer";
resource_id?: string;
resource_type?: "whiteboard";
}[];
show_join_info?: boolean;
show_share_button?: boolean;
sign_language_interpretation?: {
enable?: boolean;
interpreters?: readonly {
email?: string;
sign_language?: string;
}[];
};
summary_template_id?: string;
use_pmi?: boolean;
waiting_room?: boolean;
waiting_room_options?: {
mode: "custom" | "follow_setting";
who_goes_to_waiting_room?: | "everyone"
| "users_not_in_account"
| "users_not_in_account_or_whitelisted_domains"
| "users_not_on_invite"
| "users_not_in_org";
};
watermark?: boolean;
who_can_ask_questions?: 1 | 2 | 3 | 4 | 5;
who_will_receive_summary?: 1 | 2 | 3 | 4;
};
start_time?: string;
start_url?: string;
status?: "started" | "waiting";
template_id?: string;
timezone?: string;
topic?: string;
tracking_fields?: readonly {
field?: string;
value?: string;
visible?: boolean;
}[];
type?: 1 | 2 | 3 | 4 | 8 | 10;
uuid?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}">] |
Returns¶
Promise\<{
agenda?: string;
assistant_id?: string;
chat_join_url?: string;
created_at?: string;
creation_source?: "other" | "open_api" | "web_portal";
duration?: number;
dynamic_host_key?: string;
encrypted_password?: string;
h323_password?: string;
host_email?: string;
host_id?: string;
id?: number;
join_url?: string;
occurrences?: readonly {
duration?: number;
occurrence_id?: string;
start_time?: string;
status?: "available" | "deleted";
}[];
password?: string;
pmi?: string;
pre_schedule?: boolean;
pstn_password?: string;
recurrence?: {
end_date_time?: string;
end_times?: number;
monthly_day?: number;
monthly_week?: -1 | 1 | 2 | 3 | 4;
monthly_week_day?: 1 | 2 | 3 | 4 | 5 | 6 | 7;
repeat_interval?: number;
type: 1 | 2 | 3;
weekly_days?: "2" | "1" | "3" | "4" | "5" | "6" | "7";
};
registration_url?: string;
settings?: {
additional_data_center_regions?: readonly string[];
allow_host_control_participant_mute_state?: boolean;
allow_multiple_devices?: boolean;
alternative_host_manage_cloud_recording?: boolean;
alternative_host_manage_meeting_summary?: boolean;
alternative_host_update_polls?: boolean;
alternative_hosts?: string;
alternative_hosts_email_notification?: boolean;
approval_type?: 0 | 1 | 2;
approved_or_denied_countries_or_regions?: {
approved_list?: readonly string[];
denied_list?: readonly string[];
enable?: boolean;
method?: "approve" | "deny";
};
audio?: "both" | "telephony" | "voip" | "thirdParty";
audio_conference_info?: string;
authentication_domains?: string;
authentication_exception?: readonly {
email?: string;
join_url?: string;
name?: string;
}[];
authentication_name?: string;
authentication_option?: string;
auto_add_recording_to_video_management?: {
channels?: readonly {
channel_id: string;
name?: string;
}[];
enable: boolean;
};
auto_recording?: "none" | "local" | "cloud";
auto_start_ai_companion_questions?: boolean;
auto_start_meeting_summary?: boolean;
breakout_room?: {
enable?: boolean;
rooms?: readonly {
name?: string;
participants?: readonly string[];
}[];
};
calendar_type?: 1 | 2;
close_registration?: boolean;
cn_meeting?: boolean;
contact_email?: string;
contact_name?: string;
continuous_meeting_chat?: {
auto_add_invited_external_users?: boolean;
auto_add_meeting_participants?: boolean;
channel_id?: string;
enable?: boolean;
};
custom_keys?: readonly {
key?: string;
value?: string;
}[];
device_testing?: boolean;
disable_participant_video?: boolean;
email_in_attendee_report?: boolean;
email_notification?: boolean;
encryption_type?: "enhanced_encryption" | "e2ee";
enforce_login?: boolean;
enforce_login_domains?: string;
focus_mode?: boolean;
global_dial_in_countries?: readonly string[];
global_dial_in_numbers?: readonly {
city?: string;
country?: string;
country_name?: string;
number?: string;
type?: "toll" | "tollfree";
}[];
host_save_video_order?: boolean;
host_video?: boolean;
in_meeting?: boolean;
internal_meeting?: boolean;
jbh_time?: 0 | 5 | 10 | 15;
join_before_host?: boolean;
language_interpretation?: {
enable?: boolean;
interpreters?: readonly {
email?: string;
interpreter_languages?: string;
languages?: string;
}[];
};
meeting_authentication?: boolean;
meeting_invitees?: readonly {
email?: string;
internal_user?: boolean;
}[];
mute_upon_entry?: boolean;
participant_focused_meeting?: boolean;
participant_video?: boolean;
private_meeting?: boolean;
push_change_to_calendar?: boolean;
question_and_answer?: {
allow_anonymous_questions?: boolean;
allow_submit_questions?: boolean;
attendees_can_comment?: boolean;
attendees_can_upvote?: boolean;
enable?: boolean;
question_visibility?: "all" | "answered";
};
registrants_confirmation_email?: boolean;
registrants_email_notification?: boolean;
registration_type?: 1 | 2 | 3;
request_permission_to_unmute_participants?: boolean;
resources?: readonly {
permission_level?: "editor" | "commenter" | "viewer";
resource_id?: string;
resource_type?: "whiteboard";
}[];
show_join_info?: boolean;
show_share_button?: boolean;
sign_language_interpretation?: {
enable?: boolean;
interpreters?: readonly {
email?: string;
sign_language?: string;
}[];
};
summary_template_id?: string;
use_pmi?: boolean;
waiting_room?: boolean;
waiting_room_options?: {
mode: "custom" | "follow_setting";
who_goes_to_waiting_room?: | "everyone"
| "users_not_in_account"
| "users_not_in_account_or_whitelisted_domains"
| "users_not_on_invite"
| "users_not_in_org";
};
watermark?: boolean;
who_can_ask_questions?: 1 | 2 | 3 | 4 | 5;
who_will_receive_summary?: 1 | 2 | 3 | 4;
};
start_time?: string;
start_url?: string;
status?: "started" | "waiting";
template_id?: string;
timezone?: string;
topic?: string;
tracking_fields?: readonly {
field?: string;
value?: string;
visible?: boolean;
}[];
type?: 1 | 2 | 3 | 4 | 8 | 10;
uuid?: string;
}>
Inherited from¶
MeetingAppAdd()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /meetings/{meetingId}/open_apps">] |
Returns¶
Promise\<{
app_id?: string;
id?: number;
start_time?: string;
}>
Inherited from¶
MeetingAppDelete()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}/open_apps">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingCreate()¶
MeetingCreate(...args): Promise<{
agenda?: string;
assistant_id?: string;
chat_join_url?: string;
created_at?: string;
creation_source?: "other" | "open_api" | "web_portal";
duration?: number;
dynamic_host_key?: string;
encrypted_password?: string;
h323_password?: string;
host_email?: string;
host_id?: string;
id?: number;
join_url?: string;
occurrences?: readonly {
duration?: number;
occurrence_id?: string;
start_time?: string;
status?: "available" | "deleted";
}[];
password?: string;
pmi?: string;
pre_schedule?: boolean;
pstn_password?: string;
recurrence?: {
end_date_time?: string;
end_times?: number;
monthly_day?: number;
monthly_week?: -1 | 1 | 2 | 3 | 4;
monthly_week_day?: 1 | 2 | 3 | 4 | 5 | 6 | 7;
repeat_interval?: number;
type: 1 | 2 | 3;
weekly_days?: "2" | "1" | "3" | "4" | "5" | "6" | "7";
};
registration_url?: string;
settings?: {
additional_data_center_regions?: readonly string[];
allow_host_control_participant_mute_state?: boolean;
allow_multiple_devices?: boolean;
alternative_host_manage_cloud_recording?: boolean;
alternative_host_manage_meeting_summary?: boolean;
alternative_host_update_polls?: boolean;
alternative_hosts?: string;
alternative_hosts_email_notification?: boolean;
approval_type?: 0 | 1 | 2;
approved_or_denied_countries_or_regions?: {
approved_list?: readonly string[];
denied_list?: readonly string[];
enable?: boolean;
method?: "approve" | "deny";
};
audio?: "both" | "telephony" | "voip" | "thirdParty";
audio_conference_info?: string;
authentication_domains?: string;
authentication_exception?: readonly {
email?: string;
join_url?: string;
name?: string;
}[];
authentication_name?: string;
authentication_option?: string;
auto_add_recording_to_video_management?: {
channels?: readonly {
channel_id: string;
name?: string;
}[];
enable: boolean;
};
auto_recording?: "none" | "local" | "cloud";
auto_start_ai_companion_questions?: boolean;
auto_start_meeting_summary?: boolean;
breakout_room?: {
enable?: boolean;
rooms?: readonly {
name?: string;
participants?: readonly string[];
}[];
};
calendar_type?: 1 | 2;
close_registration?: boolean;
cn_meeting?: boolean;
contact_email?: string;
contact_name?: string;
continuous_meeting_chat?: {
auto_add_invited_external_users?: boolean;
auto_add_meeting_participants?: boolean;
channel_id?: string;
enable?: boolean;
};
custom_keys?: readonly {
key?: string;
value?: string;
}[];
device_testing?: boolean;
disable_participant_video?: boolean;
email_in_attendee_report?: boolean;
email_notification?: boolean;
encryption_type?: "enhanced_encryption" | "e2ee";
enforce_login?: boolean;
enforce_login_domains?: string;
focus_mode?: boolean;
global_dial_in_countries?: readonly string[];
global_dial_in_numbers?: readonly {
city?: string;
country?: string;
country_name?: string;
number?: string;
type?: "toll" | "tollfree";
}[];
host_save_video_order?: boolean;
host_video?: boolean;
in_meeting?: boolean;
internal_meeting?: boolean;
jbh_time?: 0 | 5 | 10 | 15;
join_before_host?: boolean;
language_interpretation?: {
enable?: boolean;
interpreters?: readonly {
email?: string;
interpreter_languages?: string;
languages?: string;
}[];
};
meeting_authentication?: boolean;
meeting_invitees?: readonly {
email?: string;
}[];
mute_upon_entry?: boolean;
participant_focused_meeting?: boolean;
participant_video?: boolean;
private_meeting?: boolean;
push_change_to_calendar?: boolean;
question_and_answer?: {
allow_anonymous_questions?: boolean;
allow_submit_questions?: boolean;
attendees_can_comment?: boolean;
attendees_can_upvote?: boolean;
enable?: boolean;
question_visibility?: "all" | "answered";
};
registrants_confirmation_email?: boolean;
registrants_email_notification?: boolean;
registration_type?: 1 | 2 | 3;
request_permission_to_unmute_participants?: boolean;
resources?: readonly {
permission_level?: "editor" | "commenter" | "viewer";
resource_id?: string;
resource_type?: "whiteboard";
}[];
show_join_info?: boolean;
show_share_button?: boolean;
sign_language_interpretation?: {
enable?: boolean;
interpreters?: readonly {
email?: string;
sign_language?: string;
}[];
};
summary_template_id?: string;
use_pmi?: boolean;
waiting_room?: boolean;
waiting_room_options?: {
mode: "custom" | "follow_setting";
who_goes_to_waiting_room?: | "everyone"
| "users_not_in_account"
| "users_not_in_account_or_whitelisted_domains"
| "users_not_on_invite"
| "users_not_in_org";
};
watermark?: boolean;
who_can_ask_questions?: 1 | 2 | 3 | 4 | 5;
who_will_receive_summary?: 1 | 2 | 3 | 4;
};
start_time?: string;
start_url?: string;
status?: "started" | "waiting";
template_id?: string;
timezone?: string;
topic?: string;
tracking_fields?: readonly {
field?: string;
value?: string;
visible?: boolean;
}[];
type?: 1 | 2 | 3 | 8 | 10;
uuid?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /users/{userId}/meetings">] |
Returns¶
Promise\<{
agenda?: string;
assistant_id?: string;
chat_join_url?: string;
created_at?: string;
creation_source?: "other" | "open_api" | "web_portal";
duration?: number;
dynamic_host_key?: string;
encrypted_password?: string;
h323_password?: string;
host_email?: string;
host_id?: string;
id?: number;
join_url?: string;
occurrences?: readonly {
duration?: number;
occurrence_id?: string;
start_time?: string;
status?: "available" | "deleted";
}[];
password?: string;
pmi?: string;
pre_schedule?: boolean;
pstn_password?: string;
recurrence?: {
end_date_time?: string;
end_times?: number;
monthly_day?: number;
monthly_week?: -1 | 1 | 2 | 3 | 4;
monthly_week_day?: 1 | 2 | 3 | 4 | 5 | 6 | 7;
repeat_interval?: number;
type: 1 | 2 | 3;
weekly_days?: "2" | "1" | "3" | "4" | "5" | "6" | "7";
};
registration_url?: string;
settings?: {
additional_data_center_regions?: readonly string[];
allow_host_control_participant_mute_state?: boolean;
allow_multiple_devices?: boolean;
alternative_host_manage_cloud_recording?: boolean;
alternative_host_manage_meeting_summary?: boolean;
alternative_host_update_polls?: boolean;
alternative_hosts?: string;
alternative_hosts_email_notification?: boolean;
approval_type?: 0 | 1 | 2;
approved_or_denied_countries_or_regions?: {
approved_list?: readonly string[];
denied_list?: readonly string[];
enable?: boolean;
method?: "approve" | "deny";
};
audio?: "both" | "telephony" | "voip" | "thirdParty";
audio_conference_info?: string;
authentication_domains?: string;
authentication_exception?: readonly {
email?: string;
join_url?: string;
name?: string;
}[];
authentication_name?: string;
authentication_option?: string;
auto_add_recording_to_video_management?: {
channels?: readonly {
channel_id: string;
name?: string;
}[];
enable: boolean;
};
auto_recording?: "none" | "local" | "cloud";
auto_start_ai_companion_questions?: boolean;
auto_start_meeting_summary?: boolean;
breakout_room?: {
enable?: boolean;
rooms?: readonly {
name?: string;
participants?: readonly string[];
}[];
};
calendar_type?: 1 | 2;
close_registration?: boolean;
cn_meeting?: boolean;
contact_email?: string;
contact_name?: string;
continuous_meeting_chat?: {
auto_add_invited_external_users?: boolean;
auto_add_meeting_participants?: boolean;
channel_id?: string;
enable?: boolean;
};
custom_keys?: readonly {
key?: string;
value?: string;
}[];
device_testing?: boolean;
disable_participant_video?: boolean;
email_in_attendee_report?: boolean;
email_notification?: boolean;
encryption_type?: "enhanced_encryption" | "e2ee";
enforce_login?: boolean;
enforce_login_domains?: string;
focus_mode?: boolean;
global_dial_in_countries?: readonly string[];
global_dial_in_numbers?: readonly {
city?: string;
country?: string;
country_name?: string;
number?: string;
type?: "toll" | "tollfree";
}[];
host_save_video_order?: boolean;
host_video?: boolean;
in_meeting?: boolean;
internal_meeting?: boolean;
jbh_time?: 0 | 5 | 10 | 15;
join_before_host?: boolean;
language_interpretation?: {
enable?: boolean;
interpreters?: readonly {
email?: string;
interpreter_languages?: string;
languages?: string;
}[];
};
meeting_authentication?: boolean;
meeting_invitees?: readonly {
email?: string;
}[];
mute_upon_entry?: boolean;
participant_focused_meeting?: boolean;
participant_video?: boolean;
private_meeting?: boolean;
push_change_to_calendar?: boolean;
question_and_answer?: {
allow_anonymous_questions?: boolean;
allow_submit_questions?: boolean;
attendees_can_comment?: boolean;
attendees_can_upvote?: boolean;
enable?: boolean;
question_visibility?: "all" | "answered";
};
registrants_confirmation_email?: boolean;
registrants_email_notification?: boolean;
registration_type?: 1 | 2 | 3;
request_permission_to_unmute_participants?: boolean;
resources?: readonly {
permission_level?: "editor" | "commenter" | "viewer";
resource_id?: string;
resource_type?: "whiteboard";
}[];
show_join_info?: boolean;
show_share_button?: boolean;
sign_language_interpretation?: {
enable?: boolean;
interpreters?: readonly {
email?: string;
sign_language?: string;
}[];
};
summary_template_id?: string;
use_pmi?: boolean;
waiting_room?: boolean;
waiting_room_options?: {
mode: "custom" | "follow_setting";
who_goes_to_waiting_room?: | "everyone"
| "users_not_in_account"
| "users_not_in_account_or_whitelisted_domains"
| "users_not_on_invite"
| "users_not_in_org";
};
watermark?: boolean;
who_can_ask_questions?: 1 | 2 | 3 | 4 | 5;
who_will_receive_summary?: 1 | 2 | 3 | 4;
};
start_time?: string;
start_url?: string;
status?: "started" | "waiting";
template_id?: string;
timezone?: string;
topic?: string;
tracking_fields?: readonly {
field?: string;
value?: string;
visible?: boolean;
}[];
type?: 1 | 2 | 3 | 8 | 10;
uuid?: string;
}>
Inherited from¶
MeetingDelete()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingInvitation()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/invitation">] |
Returns¶
Promise\<{
invitation?: string;
sip_links?: readonly string[];
}>
Inherited from¶
MeetingInviteLinksCreate()¶
MeetingInviteLinksCreate(...args): Promise<{
attendees?: readonly {
join_url?: string;
name?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /meetings/{meetingId}/invite_links">] |
Returns¶
Promise\<{
attendees?: readonly {
join_url?: string;
name?: string;
}[];
}>
Inherited from¶
MeetingLiveStreamingJoinToken()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/jointoken/live_streaming">] |
Returns¶
Promise\<{
expire_in?: 120;
token?: string;
}>
Inherited from¶
MeetingLiveStreamStatusUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /meetings/{meetingId}/livestream/status">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingLiveStreamUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /meetings/{meetingId}/livestream">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingLocalArchivingArchiveToken()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/jointoken/local_archiving">] |
Returns¶
Promise\<{
expire_in?: 120;
token?: string;
}>
Inherited from¶
MeetingLocalRecordingJoinToken()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/jointoken/local_recording">] |
Returns¶
Promise\<{
expire_in?: 120;
token?: string;
}>
Inherited from¶
MeetingPollCreate()¶
MeetingPollCreate(...args): Promise<{
id?: string;
status?: "started" | "ended" | "notstart" | "sharing";
} & {
anonymous?: boolean;
poll_type?: 1 | 2 | 3;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
case_sensitive?: boolean;
name?: string;
prompts?: readonly {
prompt_question?: string;
prompt_right_answers?: readonly string[];
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
right_answers?: readonly string[];
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
title?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /meetings/{meetingId}/polls">] |
Returns¶
Promise\<{
id?: string;
status?: "started" | "ended" | "notstart" | "sharing";
} & {
anonymous?: boolean;
poll_type?: 1 | 2 | 3;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
case_sensitive?: boolean;
name?: string;
prompts?: readonly {
prompt_question?: string;
prompt_right_answers?: readonly string[];
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
right_answers?: readonly string[];
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
title?: string;
}>
Inherited from¶
MeetingPollDelete()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}/polls/{pollId}">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingPollGet()¶
MeetingPollGet(...args): Promise<{
id?: string;
status?: "started" | "ended" | "notstart" | "sharing" | "deactivated";
} & {
anonymous?: boolean;
poll_type?: 1 | 2 | 3;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
case_sensitive?: boolean;
name?: string;
prompts?: readonly {
prompt_question?: string;
prompt_right_answers?: readonly string[];
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
right_answers?: readonly string[];
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
title?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/polls/{pollId}">] |
Returns¶
Promise\<{
id?: string;
status?: "started" | "ended" | "notstart" | "sharing" | "deactivated";
} & {
anonymous?: boolean;
poll_type?: 1 | 2 | 3;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
case_sensitive?: boolean;
name?: string;
prompts?: readonly {
prompt_question?: string;
prompt_right_answers?: readonly string[];
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
right_answers?: readonly string[];
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
title?: string;
}>
Inherited from¶
MeetingPolls()¶
MeetingPolls(...args): Promise<{
polls?: readonly {
id?: string;
status?: "started" | "ended" | "notstart" | "sharing" | "deactivated";
} & {
anonymous?: boolean;
poll_type?: 1 | 2 | 3;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
case_sensitive?: boolean;
name?: string;
prompts?: readonly {
prompt_question?: string;
prompt_right_answers?: readonly string[];
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
right_answers?: readonly string[];
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
title?: string;
}[];
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/polls">] |
Returns¶
Promise\<{
polls?: readonly {
id?: string;
status?: "started" | "ended" | "notstart" | "sharing" | "deactivated";
} & {
anonymous?: boolean;
poll_type?: 1 | 2 | 3;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
case_sensitive?: boolean;
name?: string;
prompts?: readonly {
prompt_question?: string;
prompt_right_answers?: readonly string[];
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
right_answers?: readonly string[];
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
title?: string;
}[];
total_records?: number;
}>
Inherited from¶
MeetingPollUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PUT /meetings/{meetingId}/polls/{pollId}">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingRecordingRegistrantCreate()¶
MeetingRecordingRegistrantCreate(...args): Promise<{
id?: number;
registrant_id?: string;
share_url?: string;
topic?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /meetings/{meetingId}/recordings/registrants">] |
Returns¶
Promise\<{
id?: number;
registrant_id?: string;
share_url?: string;
topic?: string;
}>
Inherited from¶
MeetingRecordingRegistrants()¶
MeetingRecordingRegistrants(...args): Promise<{
next_page_token?: string;
page_count?: number;
page_number?: number;
page_size?: number;
total_records?: number;
} & {
registrants?: readonly {
id?: string;
} & {
address?: string;
city?: string;
comments?: string;
country?: string;
custom_questions?: readonly {
title?: string;
value?: string;
}[];
email: string;
first_name: string;
industry?: string;
job_title?: string;
last_name?: string;
no_of_employees?: | ""
| "1-20"
| "21-50"
| "51-100"
| "101-250"
| "251-500"
| "501-1,000"
| "1,001-5,000"
| "5,001-10,000"
| "More than 10,000";
org?: string;
phone?: string;
purchasing_time_frame?: | ""
| "Within a month"
| "1-3 months"
| "4-6 months"
| "More than 6 months"
| "No timeframe";
role_in_purchase_process?: | ""
| "Decision Maker"
| "Evaluator/Recommender"
| "Influencer"
| "Not involved";
state?: string;
status?: "pending" | "approved" | "denied";
zip?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/recordings/registrants">] |
Returns¶
Promise\<{
next_page_token?: string;
page_count?: number;
page_number?: number;
page_size?: number;
total_records?: number;
} & {
registrants?: readonly {
id?: string;
} & {
address?: string;
city?: string;
comments?: string;
country?: string;
custom_questions?: readonly {
title?: string;
value?: string;
}[];
email: string;
first_name: string;
industry?: string;
job_title?: string;
last_name?: string;
no_of_employees?: | ""
| "1-20"
| "21-50"
| "51-100"
| "101-250"
| "251-500"
| "501-1,000"
| "1,001-5,000"
| "5,001-10,000"
| "More than 10,000";
org?: string;
phone?: string;
purchasing_time_frame?: | ""
| "Within a month"
| "1-3 months"
| "4-6 months"
| "More than 6 months"
| "No timeframe";
role_in_purchase_process?: | ""
| "Decision Maker"
| "Evaluator/Recommender"
| "Influencer"
| "Not involved";
state?: string;
status?: "pending" | "approved" | "denied";
zip?: string;
}[];
}>
Inherited from¶
MeetingRecordingRegistrantStatus()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PUT /meetings/{meetingId}/recordings/registrants/status">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingRegistrantCreate()¶
MeetingRegistrantCreate(...args): Promise<{
id?: number;
join_url?: string;
occurrences?: readonly {
duration?: number;
occurrence_id?: string;
start_time?: string;
status?: string;
}[];
participant_pin_code?: number;
registrant_id?: string;
start_time?: string;
topic?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /meetings/{meetingId}/registrants">] |
Returns¶
Promise\<{
id?: number;
join_url?: string;
occurrences?: readonly {
duration?: number;
occurrence_id?: string;
start_time?: string;
status?: string;
}[];
participant_pin_code?: number;
registrant_id?: string;
start_time?: string;
topic?: string;
}>
Inherited from¶
Meetingregistrantdelete()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}/registrants/{registrantId}">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingRegistrantGet()¶
MeetingRegistrantGet(...args): Promise<{
id?: string;
} & {
address?: string;
city?: string;
comments?: string;
country?: string;
custom_questions?: readonly {
title?: string;
value?: string;
}[];
email: string;
first_name: string;
industry?: string;
job_title?: string;
last_name?: string;
no_of_employees?: | ""
| "1-20"
| "21-50"
| "51-100"
| "101-250"
| "251-500"
| "501-1,000"
| "1,001-5,000"
| "5,001-10,000"
| "More than 10,000";
org?: string;
phone?: string;
purchasing_time_frame?: | ""
| "Within a month"
| "1-3 months"
| "4-6 months"
| "More than 6 months"
| "No timeframe";
role_in_purchase_process?: | ""
| "Decision Maker"
| "Evaluator/Recommender"
| "Influencer"
| "Not involved";
state?: string;
status?: "pending" | "approved" | "denied";
zip?: string;
} & {
create_time?: string;
join_url?: string;
participant_pin_code?: number;
status?: "pending" | "approved" | "denied";
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/registrants/{registrantId}">] |
Returns¶
Promise\<{
id?: string;
} & {
address?: string;
city?: string;
comments?: string;
country?: string;
custom_questions?: readonly {
title?: string;
value?: string;
}[];
email: string;
first_name: string;
industry?: string;
job_title?: string;
last_name?: string;
no_of_employees?: | ""
| "1-20"
| "21-50"
| "51-100"
| "101-250"
| "251-500"
| "501-1,000"
| "1,001-5,000"
| "5,001-10,000"
| "More than 10,000";
org?: string;
phone?: string;
purchasing_time_frame?: | ""
| "Within a month"
| "1-3 months"
| "4-6 months"
| "More than 6 months"
| "No timeframe";
role_in_purchase_process?: | ""
| "Decision Maker"
| "Evaluator/Recommender"
| "Influencer"
| "Not involved";
state?: string;
status?: "pending" | "approved" | "denied";
zip?: string;
} & {
create_time?: string;
join_url?: string;
participant_pin_code?: number;
status?: "pending" | "approved" | "denied";
}>
Inherited from¶
MeetingRegistrantQuestionUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /meetings/{meetingId}/registrants/questions">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingRegistrants()¶
MeetingRegistrants(...args): Promise<{
next_page_token?: string;
page_count?: number;
page_number?: number;
page_size?: number;
total_records?: number;
} & {
registrants?: readonly {
id?: string;
} & {
address?: string;
city?: string;
comments?: string;
country?: string;
custom_questions?: readonly {
title?: string;
value?: string;
}[];
email: string;
first_name: string;
industry?: string;
job_title?: string;
last_name?: string;
no_of_employees?: | ""
| "1-20"
| "21-50"
| "51-100"
| "101-250"
| "251-500"
| "501-1,000"
| "1,001-5,000"
| "5,001-10,000"
| "More than 10,000";
org?: string;
phone?: string;
purchasing_time_frame?: | ""
| "Within a month"
| "1-3 months"
| "4-6 months"
| "More than 6 months"
| "No timeframe";
role_in_purchase_process?: | ""
| "Decision Maker"
| "Evaluator/Recommender"
| "Influencer"
| "Not involved";
state?: string;
status?: "pending" | "approved" | "denied";
zip?: string;
} & {
create_time?: string;
join_url?: string;
participant_pin_code?: number;
status?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/registrants">] |
Returns¶
Promise\<{
next_page_token?: string;
page_count?: number;
page_number?: number;
page_size?: number;
total_records?: number;
} & {
registrants?: readonly {
id?: string;
} & {
address?: string;
city?: string;
comments?: string;
country?: string;
custom_questions?: readonly {
title?: string;
value?: string;
}[];
email: string;
first_name: string;
industry?: string;
job_title?: string;
last_name?: string;
no_of_employees?: | ""
| "1-20"
| "21-50"
| "51-100"
| "101-250"
| "251-500"
| "501-1,000"
| "1,001-5,000"
| "5,001-10,000"
| "More than 10,000";
org?: string;
phone?: string;
purchasing_time_frame?: | ""
| "Within a month"
| "1-3 months"
| "4-6 months"
| "More than 6 months"
| "No timeframe";
role_in_purchase_process?: | ""
| "Decision Maker"
| "Evaluator/Recommender"
| "Influencer"
| "Not involved";
state?: string;
status?: "pending" | "approved" | "denied";
zip?: string;
} & {
create_time?: string;
join_url?: string;
participant_pin_code?: number;
status?: string;
}[];
}>
Inherited from¶
MeetingRegistrantsQuestionsGet()¶
MeetingRegistrantsQuestionsGet(...args): Promise<{
custom_questions?: readonly {
answers?: readonly string[];
required?: boolean;
title?: string;
type?: "short" | "single";
}[];
questions?: readonly {
field_name?: | "state"
| "phone"
| "last_name"
| "address"
| "city"
| "country"
| "zip"
| "industry"
| "org"
| "job_title"
| "purchasing_time_frame"
| "role_in_purchase_process"
| "no_of_employees"
| "comments";
required?: boolean;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/registrants/questions">] |
Returns¶
Promise\<{
custom_questions?: readonly {
answers?: readonly string[];
required?: boolean;
title?: string;
type?: "short" | "single";
}[];
questions?: readonly {
field_name?: | "state"
| "phone"
| "last_name"
| "address"
| "city"
| "country"
| "zip"
| "industry"
| "org"
| "job_title"
| "purchasing_time_frame"
| "role_in_purchase_process"
| "no_of_employees"
| "comments";
required?: boolean;
}[];
}>
Inherited from¶
MeetingRegistrantStatus()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PUT /meetings/{meetingId}/registrants/status">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingRTMSStatusUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /live_meetings/{meetingId}/rtms_app/status">] |
Returns¶
Promise\<void>
Inherited from¶
Meetings()¶
Meetings(...args): Promise<{
next_page_token?: string;
page_count?: number;
page_number?: number;
page_size?: number;
total_records?: number;
} & {
meetings?: readonly {
agenda?: string;
created_at?: string;
duration?: number;
host_id?: string;
id?: number;
join_url?: string;
pmi?: string;
start_time?: string;
timezone?: string;
topic?: string;
type?: 1 | 2 | 3 | 8;
uuid?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /users/{userId}/meetings">] |
Returns¶
Promise\<{
next_page_token?: string;
page_count?: number;
page_number?: number;
page_size?: number;
total_records?: number;
} & {
meetings?: readonly {
agenda?: string;
created_at?: string;
duration?: number;
host_id?: string;
id?: number;
join_url?: string;
pmi?: string;
start_time?: string;
timezone?: string;
topic?: string;
type?: 1 | 2 | 3 | 8;
uuid?: string;
}[];
}>
Inherited from¶
MeetingStatus()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PUT /meetings/{meetingId}/status">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingSurveyDelete()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}/survey">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingSurveyGet()¶
MeetingSurveyGet(...args): Promise<{
custom_survey?: {
anonymous?: boolean;
feedback?: string;
numbered_questions?: boolean;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
name?: string;
prompts?: readonly {
prompt_question?: string;
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
show_question_type?: boolean;
title?: string;
};
show_in_the_browser?: boolean;
third_party_survey?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/survey">] |
Returns¶
Promise\<{
custom_survey?: {
anonymous?: boolean;
feedback?: string;
numbered_questions?: boolean;
questions?: readonly {
answer_max_character?: number;
answer_min_character?: number;
answer_required?: boolean;
answers?: readonly string[];
name?: string;
prompts?: readonly {
prompt_question?: string;
}[];
rating_max_label?: string;
rating_max_value?: number;
rating_min_label?: string;
rating_min_value?: number;
show_as_dropdown?: boolean;
type?: | "single"
| "multiple"
| "matching"
| "rank_order"
| "short_answer"
| "long_answer"
| "fill_in_the_blank"
| "rating_scale";
}[];
show_question_type?: boolean;
title?: string;
};
show_in_the_browser?: boolean;
third_party_survey?: string;
}>
Inherited from¶
MeetingSurveyUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /meetings/{meetingId}/survey">] |
Returns¶
Promise\<void>
Inherited from¶
MeetingTemplateCreate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"POST /users/{userId}/meeting_templates">] |
Returns¶
Promise\<{
id?: string;
name?: string;
}>
Inherited from¶
MeetingToken()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/token">] |
Returns¶
Promise\<{
token?: string;
}>
Inherited from¶
MeetingUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /meetings/{meetingId}">] |
Returns¶
Promise\<void>
Inherited from¶
PastMeetingDetails()¶
PastMeetingDetails(...args): Promise<{
dept?: string;
duration?: number;
end_time?: string;
has_meeting_summary?: boolean;
host_id?: string;
id?: number;
participants_count?: number;
source?: string;
start_time?: string;
topic?: string;
total_minutes?: number;
type?: 0 | 1 | 2 | 3 | 4 | 7 | 8;
user_email?: string;
user_name?: string;
uuid?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_meetings/{meetingId}">] |
Returns¶
Promise\<{
dept?: string;
duration?: number;
end_time?: string;
has_meeting_summary?: boolean;
host_id?: string;
id?: number;
participants_count?: number;
source?: string;
start_time?: string;
topic?: string;
total_minutes?: number;
type?: 0 | 1 | 2 | 3 | 4 | 7 | 8;
user_email?: string;
user_name?: string;
uuid?: string;
}>
Inherited from¶
PastMeetingParticipants()¶
PastMeetingParticipants(...args): Promise<{
next_page_token?: string;
page_count?: number;
page_size?: number;
participants?: readonly {
duration?: number;
failover?: boolean;
id?: string;
internal_user?: boolean;
join_time?: string;
leave_time?: string;
name?: string;
registrant_id?: string;
status?: "in_meeting" | "in_waiting_room";
user_email?: string;
user_id?: string;
}[];
total_records?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_meetings/{meetingId}/participants">] |
Returns¶
Promise\<{
next_page_token?: string;
page_count?: number;
page_size?: number;
participants?: readonly {
duration?: number;
failover?: boolean;
id?: string;
internal_user?: boolean;
join_time?: string;
leave_time?: string;
name?: string;
registrant_id?: string;
status?: "in_meeting" | "in_waiting_room";
user_email?: string;
user_id?: string;
}[];
total_records?: number;
}>
Inherited from¶
PastMeetings()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_meetings/{meetingId}/instances">] |
Returns¶
Promise\<{
meetings?: readonly {
start_time?: string;
uuid?: string;
}[];
}>
Inherited from¶
PastWebinars()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /past_webinars/{webinarId}/instances">] |
Returns¶
Promise\<{
webinars?: readonly {
start_time?: string;
uuid?: string;
}[];
}>
Inherited from¶
RecordingDelete()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}/recordings">] |
Returns¶
Promise\<void>
Inherited from¶
RecordingDeleteOne()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"DELETE /meetings/{meetingId}/recordings/{recordingId}">] |
Returns¶
Promise\<void>
Inherited from¶
RecordingGet()¶
RecordingGet(...args): Promise<{
account_id?: string;
auto_delete?: boolean;
auto_delete_date?: string;
duration?: number;
external_storage_addr?: string;
host_id?: string;
id?: number;
instance_id?: string;
rc_meeting_zone_name?: string;
rc_zone?: string;
recording_count?: number;
recording_play_passcode?: string;
service_name?: string;
start_time?: string;
topic?: string;
total_size?: number;
type?: "2" | "1" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "99";
uuid?: string;
zone_instance_id?: string;
} & {
recording_files?: readonly {
deleted_time?: string;
download_url?: string;
file_extension?: "JSON" | "MP4" | "M4A" | "CSV" | "TXT" | "VTT" | "JPG";
file_path?: string;
file_size?: number;
file_type?: | "MP4"
| "M4A"
| "CHAT"
| "CC"
| "CHAT_MESSAGE"
| "TRANSCRIPT"
| "CSV"
| "TB"
| "SUMMARY";
id?: string;
meeting_id?: string;
play_url?: string;
recording_end?: string;
recording_start?: string;
recording_type?: | "summary"
| "shared_screen_with_speaker_view"
| "audio_only"
| "chat_file"
| "closed_caption"
| "audio_transcript"
| "shared_screen_with_speaker_view(CC)"
| "shared_screen_with_gallery_view"
| "active_speaker"
| "gallery_view"
| "shared_screen"
| "poll"
| "host_video"
| "timeline"
| "thumbnail"
| "audio_interpretation"
| "summary_next_steps"
| "summary_smart_chapters"
| "sign_interpretation"
| "production_studio";
status?: "completed";
}[];
} & {
download_access_token?: string;
password?: string;
recording_play_passcode?: string;
} & {
participant_audio_files?: readonly {
download_url?: string;
file_name?: string;
file_path?: string;
file_size?: number;
file_type?: string;
id?: string;
play_url?: string;
recording_end?: string;
recording_start?: string;
status?: "completed";
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/recordings">] |
Returns¶
Promise\<{
account_id?: string;
auto_delete?: boolean;
auto_delete_date?: string;
duration?: number;
external_storage_addr?: string;
host_id?: string;
id?: number;
instance_id?: string;
rc_meeting_zone_name?: string;
rc_zone?: string;
recording_count?: number;
recording_play_passcode?: string;
service_name?: string;
start_time?: string;
topic?: string;
total_size?: number;
type?: "2" | "1" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "99";
uuid?: string;
zone_instance_id?: string;
} & {
recording_files?: readonly {
deleted_time?: string;
download_url?: string;
file_extension?: "JSON" | "MP4" | "M4A" | "CSV" | "TXT" | "VTT" | "JPG";
file_path?: string;
file_size?: number;
file_type?: | "MP4"
| "M4A"
| "CHAT"
| "CC"
| "CHAT_MESSAGE"
| "TRANSCRIPT"
| "CSV"
| "TB"
| "SUMMARY";
id?: string;
meeting_id?: string;
play_url?: string;
recording_end?: string;
recording_start?: string;
recording_type?: | "summary"
| "shared_screen_with_speaker_view"
| "audio_only"
| "chat_file"
| "closed_caption"
| "audio_transcript"
| "shared_screen_with_speaker_view(CC)"
| "shared_screen_with_gallery_view"
| "active_speaker"
| "gallery_view"
| "shared_screen"
| "poll"
| "host_video"
| "timeline"
| "thumbnail"
| "audio_interpretation"
| "summary_next_steps"
| "summary_smart_chapters"
| "sign_interpretation"
| "production_studio";
status?: "completed";
}[];
} & {
download_access_token?: string;
password?: string;
recording_play_passcode?: string;
} & {
participant_audio_files?: readonly {
download_url?: string;
file_name?: string;
file_path?: string;
file_size?: number;
file_type?: string;
id?: string;
play_url?: string;
recording_end?: string;
recording_start?: string;
status?: "completed";
}[];
}>
Inherited from¶
RecordingRegistrantQuestionUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /meetings/{meetingId}/recordings/registrants/questions">] |
Returns¶
Promise\<void>
Inherited from¶
RecordingRegistrantsQuestionsGet()¶
RecordingRegistrantsQuestionsGet(...args): Promise<{
custom_questions?: readonly {
answers?: readonly string[];
required?: boolean;
title?: string;
type?: "short" | "single" | "multiple";
}[];
questions?: readonly {
field_name?: | "state"
| "phone"
| "last_name"
| "address"
| "city"
| "country"
| "zip"
| "industry"
| "org"
| "job_title"
| "purchasing_time_frame"
| "role_in_purchase_process"
| "no_of_employees"
| "comments";
required?: boolean;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/recordings/registrants/questions">] |
Returns¶
Promise\<{
custom_questions?: readonly {
answers?: readonly string[];
required?: boolean;
title?: string;
type?: "short" | "single" | "multiple";
}[];
questions?: readonly {
field_name?: | "state"
| "phone"
| "last_name"
| "address"
| "city"
| "country"
| "zip"
| "industry"
| "org"
| "job_title"
| "purchasing_time_frame"
| "role_in_purchase_process"
| "no_of_employees"
| "comments";
required?: boolean;
}[];
}>
Inherited from¶
RecordingSettingsUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PATCH /meetings/{meetingId}/recordings/settings">] |
Returns¶
Promise\<void>
Inherited from¶
RecordingSettingUpdate()¶
RecordingSettingUpdate(...args): Promise<{
approval_type?: 0 | 1 | 2;
authentication_domains?: string;
authentication_name?: string;
authentication_option?: string;
auto_delete?: boolean;
auto_delete_date?: string;
on_demand?: boolean;
password?: string;
recording_authentication?: boolean;
send_email_to_host?: boolean;
share_recording?: "none" | "publicly" | "internally";
show_social_share_buttons?: boolean;
topic?: string;
viewer_download?: boolean;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /meetings/{meetingId}/recordings/settings">] |
Returns¶
Promise\<{
approval_type?: 0 | 1 | 2;
authentication_domains?: string;
authentication_name?: string;
authentication_option?: string;
auto_delete?: boolean;
auto_delete_date?: string;
on_demand?: boolean;
password?: string;
recording_authentication?: boolean;
send_email_to_host?: boolean;
share_recording?: "none" | "publicly" | "internally";
show_social_share_buttons?: boolean;
topic?: string;
viewer_download?: boolean;
}>
Inherited from¶
RecordingsList()¶
RecordingsList(...args): Promise<{
from?: string;
to?: string;
} & {
next_page_token?: string;
page_count?: number;
page_size?: number;
total_records?: number;
} & {
meetings?: readonly {
account_id?: string;
auto_delete?: boolean;
auto_delete_date?: string;
duration?: number;
host_id?: string;
id?: number;
recording_count?: number;
recording_play_passcode?: string;
start_time?: string;
topic?: string;
total_size?: number;
type?: "2" | "1" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "99";
uuid?: string;
} & {
recording_files?: readonly {
deleted_time?: string;
download_url?: string;
file_extension?: "JSON" | "MP4" | "M4A" | "CSV" | "TXT" | "VTT" | "JPG";
file_path?: string;
file_size?: number;
file_type?: | "MP4"
| "M4A"
| "CHAT"
| "CC"
| "CHAT_MESSAGE"
| "TRANSCRIPT"
| "CSV"
| "TB"
| "SUMMARY";
id?: string;
meeting_id?: string;
play_url?: string;
recording_end?: string;
recording_start?: string;
recording_type?: | "summary"
| "shared_screen_with_speaker_view"
| "audio_only"
| "chat_file"
| "closed_caption"
| "audio_transcript"
| "shared_screen_with_speaker_view(CC)"
| "shared_screen_with_gallery_view"
| "active_speaker"
| "gallery_view"
| "shared_screen"
| "poll"
| "host_video"
| "timeline"
| "thumbnail"
| "audio_interpretation"
| "summary_next_steps"
| "summary_smart_chapters"
| "sign_interpretation"
| "production_studio";
status?: "completed";
}[];
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /users/{userId}/recordings">] |
Returns¶
Promise\<{
from?: string;
to?: string;
} & {
next_page_token?: string;
page_count?: number;
page_size?: number;
total_records?: number;
} & {
meetings?: readonly {
account_id?: string;
auto_delete?: boolean;
auto_delete_date?: string;
duration?: number;
host_id?: string;
id?: number;
recording_count?: number;
recording_play_passcode?: string;
start_time?: string;
topic?: string;
total_size?: number;
type?: "2" | "1" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "99";
uuid?: string;
} & {
recording_files?: readonly {
deleted_time?: string;
download_url?: string;
file_extension?: "JSON" | "MP4" | "M4A" | "CSV" | "TXT" | "VTT" | "JPG";
file_path?: string;
file_size?: number;
file_type?: | "MP4"
| "M4A"
| "CHAT"
| "CC"
| "CHAT_MESSAGE"
| "TRANSCRIPT"
| "CSV"
| "TB"
| "SUMMARY";
id?: string;
meeting_id?: string;
play_url?: string;
recording_end?: string;
recording_start?: string;
recording_type?: | "summary"
| "shared_screen_with_speaker_view"
| "audio_only"
| "chat_file"
| "closed_caption"
| "audio_transcript"
| "shared_screen_with_speaker_view(CC)"
| "shared_screen_with_gallery_view"
| "active_speaker"
| "gallery_view"
| "shared_screen"
| "poll"
| "host_video"
| "timeline"
| "thumbnail"
| "audio_interpretation"
| "summary_next_steps"
| "summary_smart_chapters"
| "sign_interpretation"
| "production_studio";
status?: "completed";
}[];
}[];
}>
Inherited from¶
RecordingStatusUpdate()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PUT /meetings/{meetingUUID}/recordings/status">] |
Returns¶
Promise\<void>
Inherited from¶
RecordingStatusUpdateOne()¶
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"PUT /meetings/{meetingId}/recordings/{recordingId}/status">] |
Returns¶
Promise\<void>
Inherited from¶
ReportCloudRecording()¶
ReportCloudRecording(...args): Promise<{
from?: string;
to?: string;
} & {
cloud_recording_storage?: readonly {
date?: string;
free_usage?: string;
plan_usage?: string;
usage?: string;
}[];
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/cloud_recording">] |
Returns¶
Promise\<{
from?: string;
to?: string;
} & {
cloud_recording_storage?: readonly {
date?: string;
free_usage?: string;
plan_usage?: string;
usage?: string;
}[];
}>
Inherited from¶
ReportDaily()¶
ReportDaily(...args): Promise<{
dates?: readonly {
date?: string;
meeting_minutes?: number;
meetings?: number;
new_users?: number;
participants?: number;
}[];
month?: number;
year?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/daily">] |
Returns¶
Promise\<{
dates?: readonly {
date?: string;
meeting_minutes?: number;
meetings?: number;
new_users?: number;
participants?: number;
}[];
month?: number;
year?: number;
}>
Inherited from¶
ReportMeetingactivitylogs()¶
ReportMeetingactivitylogs(...args): Promise<{
meeting_activity_logs?: readonly {
activity_category: string;
activity_detail: string;
activity_time: string;
meeting_number: string;
operator: string;
operator_email: string;
}[];
next_page_token?: string;
page_size?: number;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/meeting_activities">] |
Returns¶
Promise\<{
meeting_activity_logs?: readonly {
activity_category: string;
activity_detail: string;
activity_time: string;
meeting_number: string;
operator: string;
operator_email: string;
}[];
next_page_token?: string;
page_size?: number;
}>
Inherited from¶
ReportMeetingDetails()¶
ReportMeetingDetails(...args): Promise<{
custom_keys?: readonly {
key?: string;
value?: string;
}[];
dept?: string;
duration?: number;
end_time?: string;
id?: number;
participants_count?: number;
start_time?: string;
topic?: string;
total_minutes?: number;
tracking_fields?: readonly {
field?: string;
value?: string;
}[];
type?: number;
user_email?: string;
user_name?: string;
uuid?: string;
}>;
Parameters¶
| Parameter | Type |
|---|---|
...args |
[ZoomMeetingsApiOperationInput\<"GET /report/meetings/{meetingId}">] |
Returns¶
Promise\<{
custom_keys?: readonly {
key?: string;
value?: string;
}[];
dept?: string;
duration?: number;
end_time?: string;
id?: number;
participants_count?: number;
start_time?: string;
topic?: string;
total_minutes?: number;
tracking_fields?: readonly {
field?: string;
value?: string;
}[];
type?: number;
user_email?: string;
user_name?: string;
uuid?: string;
}>
Inherited from¶
ReportMeetingParticipants()¶
ReportMeetingParticipants(...args): Promise<{
next_page_token?: string;
page_count?: number;
page_size?: number;
total_records?: number;
} & {
participants?: readonly {
bo_mtg_id?: string;
customer_key?: string;
duration?: number;
failover?: boolean;
id?: string;
join_time?: string;
leave_time?: string;
[...]
